Home//
REST API Reference
/- Delete an office hours exception
Retrieve an office hours exception
Update an office hours exception
List all office hours exceptions
Create an office hours exception
Retrieve an office hours schedule
Update an office hours schedule
Delete an office hours schedule
List all office hours schedules
Create an office hours schedule
Office Hours Exception
Office Hours Schedule
Office Hours Time Interval
Delete an office hours ex...
You can delete a single office hours exception.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions/{id}
- The european API serverhttps://api.eu.intercom.io/office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions/{id}
- The australian API serverhttps://api.au.intercom.io/office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions/{id}
curl -i -X DELETE \
https://api.intercom.io/office_hours_schedules/123/office_hours_exceptions/456 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Response
{ "id": "456", "object": "office_hours_exception", "deleted": true }